## link-query 0.0.4

=== Makefile ===
LQ=lq

SRCS=devino.c lq.c
OBJS=$(patsubst %.c,%.o,$(SRCS))
MANS=$(LQ).1.gz

CFLAGS=-Wall -pedantic -g

all: $(LQ) $(MANS)

$(LQ): $(OBJS)
	$(CC) -o $@ $^

install: $(LQ) $(MANS)
	install -D $(LQ) $(DESTDIR)$(prefix)/usr/bin/$(LQ)
	install -D $(LQ).1.gz $(DESTDIR)$(prefix)/usr/share/man/man1/$(LQ).1.gz

uninstall:
	-rm -f $(DESTDIR)$(prefix)/usr/bin/$^

clean:
	rm -f $(LQ) $(OBJS)

%.gz: %
	gzip -k9 $^

=== debian/changelog ===
link-query (0.0.4-4) unstable; urgency=low

  * Updated Standards-Version

 -- Kim Saunders <kimpsaunders@gmail.com>  Tue, 20 Jan 2026 20:30:00 -0500

link-query (0.0.4-3) unstable; urgency=low

  * Added watch file + Vcs fields. 

 -- Kim Saunders <kimpsaunders@gmail.com>  Mon, 19 Jan 2026 10:25:00 -0500

link-query (0.0.4-2) unstable; urgency=low

  * Initial release. Closes: #1125348

 -- Kim Saunders <kimpsaunders@gmail.com>  Mon, 19 Jan 2026 09:06:56 -0500

=== debian/control ===
Source: link-query
Section: admin
Priority: optional
Maintainer: Kim Saunders <kimpsaunders@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.3
Homepage: https://github.com/kimpsaunders/lq
Rules-Requires-Root: no
Vcs-Git: https://github.com/kimpsaunders/link-query
Vcs-Browser: https://github.com/kimpsaunders/link-query

Package: link-query
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Symbolic link query tool.
 The lq tool resolves and displays symbolic links and attributes
 encountered while resolving paths.

=== debian/watch ===
version=4
https://github.com/kimpsaunders/lq/tags .*/v(\d.*).tar.gz

## link-query 0.0.6

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,9 @@
 OBJS=$(patsubst %.c,%.o,$(SRCS))
 MANS=$(LQ).1.gz
 
-CFLAGS=-Wall -pedantic -g
-
 all: $(LQ) $(MANS)
 
 $(LQ): $(OBJS)
-	$(CC) -o $@ $^
 
 install: $(LQ) $(MANS)
 	install -D $(LQ) $(DESTDIR)$(prefix)/usr/bin/$(LQ)

=== examples/Makefile ===
SCENARIOS=$(shell ls *.bash)
DIRECTORIES=$(patsubst %.bash,%,$(SCENARIOS))
DOTDOT=$(dir $(PWD))
MD=README.md

all: $(DIRECTORIES) $(MD)

%.md: %.m4
	m4 $< > $@
	cp $@ ..

%: %.bash
	rm -rf $@.tmp
	mkdir $@.tmp
	cd $@.tmp && PATH=$$PATH:$(DOTDOT) ../$^
	ls $@.tmp/$@-*.sh && PATH=$$PATH:$(DOTDOT) ./interpreter $@.tmp/$@-*.sh || true
	mv $@.tmp $@

=== debian/changelog ===
link-query (0.0.6-6) unstable; urgency=low

  * Tackle some lintian warnings.

 -- Kim Saunders <kimpsaunders@gmail.com>  Mon, 26 Jan 2026 12:36:00 -0500

=== debian/control ===
Source: link-query
Section: admin
Maintainer: Kim Saunders <kimpsaunders@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.3
Homepage: https://github.com/kimpsaunders/lq
Vcs-Git: https://salsa.debian.org/kimpsaunders/link-query.git
Vcs-Browser: https://salsa.debian.org/kimpsaunders/link-query

Package: link-query
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Symbolic link query tool
 The lq tool resolves and displays symbolic links and attributes
 encountered while resolving paths.

=== debian/watch ===
version=5
https://github.com/kimpsaunders/lq/tags .*/v(\d.*).tar.gz
